Support » Plugin: Plugin Organizer » Site crashes (incompatibility)

  • I love this plugin but I can’t use it with “Woocommerce Product Search” (bought from Woocommerce’s site) or “Smart Product Search”. Site will crash badly :(. Any suggestions?

    The page I need help with: [log in to see the link]

Viewing 15 replies - 1 through 15 (of 15 total)
  • Plugin Author Jeff Sterup

    (@foomagoo)

    It sounds like you’ve disabled Woocommerce somewhere that it is needed. Look at the error you get when the site crashes.

    mmm but everything worked when I had the “Advanced Woo Search” plugin…but I wanted to change it because it was too slow

    Plugin Author Jeff Sterup

    (@foomagoo)

    What is the error in your error log?

    where can I see that?

    Plugin Author Jeff Sterup

    (@foomagoo)

    You’ll have to ask your hosting provider.

    Hi! …well after researching I decided to install another Search plugin because “Woocommerce Product Search” was crashing my site because it was NOT compatible with Plugin Organizer….so this morning I tried “Woocommerce Predictive Search” and again it crashed my site. So it looks like that “Plugin Organizer” is not being compatible with the Search Plugins…here are the PHP errors from the logs:

    #0 /wp-content/plugins/woocommerce-predictive-search/classes/class-wc-predictive-search-backbone.php(97): A3Rev\WCPredictiveSearch\Legacy_API->get_legacy_api_url()
    #1 /wp-includes/class-wp-hook.php(286): A3Rev\WCPredictiveSearch\Hook_Backbone->register_plugin_scripts(”)
    #2 /wp-includes/class-wp-hook.php(310): WP_Hook->apply_filters(NULL, Array)
    #3 /wp-includes/plugin.php(465): WP_Hook->do_action(Array)
    #4 /wp-includes/script-loader.php(2537): do_action(‘wp_enqueue_scri…’)
    #5 /wp-includes/class-wp-hook.php(286): wp_enqueue_scripts(”)
    #6 /wp-includes/class-wp-hook.php(310): WP_Ho in /wp-content/plugins/woocommerce-predictive-search/includes/class-legacy-api.php on line 27
    [24-Oct-2019 12:19:29 UTC] PHP Fatal error: Uncaught Error: Call to undefined function A3Rev\WCPredictiveSearch\WC() in /wp-content/plugins/woocommerce-predictive-search/includes/class-legacy-api.php:27

    Plugin Author Jeff Sterup

    (@foomagoo)

    It might be because of the load order. Try changing the load order so that Woocommerce loads first. Then try loading the search plugin first if that doesn’t work.

    mmm how can I do that? with a plugin?

    Plugin Author Jeff Sterup

    (@foomagoo)

    Disable the search plugin globally then activate it. Then go to the group and order plugins page under plugin organizer. Change the load order. Then enable the search plugin on one specific page and test it.

    Plugin Author Jeff Sterup

    (@foomagoo)

    Try installing version 10.1.3 and then activate the search plugin. See if that helps. I’ve been working on fixing the sorting of the plugins at activation time to match the WordPress core to fix compatibility issues with a few Woocommerce plugins. This version should fix that.

    Hi Jeff. I tried what you said and it didnt work 🙁 I use the Organizer to disable Woocommerce from the home page so the page load faster for Google….and I tried disabling Woocommerce and the search from the home page…and it works on the inside pages but I soon I click on the home page the site crashes.

    Plugin Author Jeff Sterup

    (@foomagoo)

    Woocommerce is required on the homepage. That’s where the Ajax endpoint is.

    mmm but site is been working for months without Woocommerce on the home page….do u mean the Search requires WoC on the home page?

    and remember WC is disabled on the Homepage using your plugin but also I disabled the Search and still doesnt work

    diegoflexpetz

    (@diegoflexpetz)

    hi! any more ideas?

Viewing 15 replies - 1 through 15 (of 15 total)
  • You must be logged in to reply to this topic.